Open SCAP Library

Public Member Functions | Data Fields
cve_configuration Struct Reference
CVE

Structure CVE vulnerable configuration data. More...

`#include <cve_priv.h>`

## Public Member Functions
struct cve_configuration * | cve_configuration_new (void)
| New CVE vulnerability configuration. More...
struct cve_configuration * | cve_configuration_clone (struct cve_configuration *old_conf)
| Clone CVE configuration. More...
void | cve_configuration_free (struct cve_configuration *conf)
| Free CVE configuration. More...
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
const char * | cve_configuration_get_id (const struct cve_configuration *conf)
| Get CVE configuration id. More...
const struct cpe_testexpr * | cve_configuration_get_expr (const struct cve_configuration *conf)
| Get CVE configuration test expression. More...
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
bool | cve_configuration_set_id (struct cve_configuration *conf, const char *new_id)
| Set id of CVE configuration. More...

## Data Fields
char * | id
struct cpe_testexpr * | expr

## Detailed Description

Structure CVE vulnerable configuration data.

The documentation for this struct was generated from the following files:

- cve_priv.c
- cve_nvd.h